<?php

declare(strict_types=1);

namespace KupShop\GraphQLBundle\ApiAdmin\Types\Collection;

use KupShop\GraphQLBundle\ApiAdmin\Types\Template\Template;
use KupShop\GraphQLBundle\ApiShared\Types\Collection\CollectionBase;
use TheCodingMachine\GraphQLite\Annotations\Field;
use TheCodingMachine\GraphQLite\Annotations\Type;

/**
 * Seznam šablon.
 */
#[Type]
class TemplateCollection extends CollectionBase
{
    /**
     * @return Template[]
     */
    #[Field]
    public function getItems(): array
    {
        return $this->items;
    }
}
